# utiliyo

## Introduction

utiliyo is a collection of utilities that facilitate software development in a javascript environment.

## Package installation

```bash
// with npm
npm i --save @flare/utiliyo --registry https://lab.code-rove.com/public-node-registry

// with yarn
yarn add @flare/utiliyo --registry https://lab.code-rove.com/public-node-registry
```

## How to use the package

```jsx
import { typeValidator, localStorage, camelizeKeys } from "@flare/utiliyo";
```

## Unit testing

Unit testing is done using [Jest](https://jestjs.io/). This is an awesome testing framework created by Facebook.  
The files containing tests are identified by the extension `*.test.ts`.  
All tests in the package can be executed by running: `npm test`.

## Changelog

1.0.0 - This version includes data type validators and local storage utils  
1.0.1 - Set new domain in configs  
1.0.2 - Utility functions export fix  
1.0.3 - Typescript warnings fix  
1.0.4 - Added "camelizeKeys" function  
1.1.0 - The package has been migrated to TypeScript. Unit tests using Jest have also been added.  
1.2.0 - Rebranding from js-utils to utiliyo.
